commit 9dbec0624fec850b54b7901ba1e9c91f02feb061
Author: jklowden <jklowden>
Date:   Sat Jan 3 15:26:09 2009 +0000

    support SYBUNIQUE and SYBIMAGE

diff --git a/ChangeLog b/ChangeLog
index 2156a6d..b3b87fb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sat Jan  3 10:25:24 EST 2009	JK Lowden <jklowden@freetds.org>
+	* src/tds/convert.c src/tds/tds_willconvert.pl
+	- support SYBUNIQUE and SYBIMAGE
+
 Sat Jan  3 15:56:46 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/replacements/fakepoll.c: check win32 maxfd in a different way
 
@@ -1157,4 +1161,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2703 2009/01/03 14:56:53 freddy77 Exp $
+$Id: ChangeLog,v 1.2704 2009/01/03 15:26:09 jklowden Exp $
diff --git a/src/tds/convert.c b/src/tds/convert.c
index c589476..a9694c5 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.185 2008/10/29 08:42:38 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.186 2009/01/03 15:26:09 jklowden Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -2844,6 +2844,7 @@ tds_willconvert(int srctype, int desttype)
 	/* non-fixed types have variable data sizes, just return 0xff */
 	case SYBCHAR:
 	case SYBBINARY:
+	case SYBIMAGE:
 	case SYBLONGBINARY:
 	case SYBLONGCHAR:
 	case SYBTEXT:
